import { DefinitionPredicate } from "./types";
export declare class TypeRef {
    private target;
    constructor(target: Function);
    matches(type: TypeRef): boolean;
    toString(): string;
    get predicate(): DefinitionPredicate;
    static isAllowedTarget(target: Function): boolean;
    static is(value: any): value is TypeRef;
    static createFromType(type: Function): TypeRef | undefined;
    static createFromValue(value: any): TypeRef | undefined;
    static predicateForType(type: Function): DefinitionPredicate | undefined;
}
