import { ContainerArg } from "./ContainerArg";
import { Container } from "../Container";
export declare class ConfigRequestArg<T> extends ContainerArg<T> {
    readonly path: string;
    readonly defaultValue?: any;
    readonly hasDefaultValue: boolean;
    constructor(path: string, defaultValue?: any);
    static create<T = any>(path: string, defaultValue?: T): ConfigRequestArg<T>;
    getArgument(container: Container): Promise<T>;
    getDependentServices(container: Container): never[];
}
