import { ServiceName } from "./types";
import { ReferenceArg } from "./args/ReferenceArg";
export interface Reference {
    (name: ServiceName): ReferenceArg;
    predicate: typeof ReferenceArg.one.predicate;
    annotation: typeof ReferenceArg.one.annotation;
    type: typeof ReferenceArg.one.type;
    multi: typeof ReferenceArg.multi;
}
export declare const reference: Reference;
